# SPEC file for KeePass
#

%define real_name    KeePassX
%define version      0.2.2
%define release      alt2

Name:     keepassx
Version:  %version
Release:  %release

Summary: KeePassX Password Safe - light-weight cross-platform password manager
Summary(ru_RU.UTF-8): простой кросс-платформенный менеджер паролей KeePassX Password Safe

Group:    Networking/Other
License:  GPL v2
URL:      http://sourceforge.net/projects/keepassx/
# URL: http://keepass.sourceforge.net/

Packager: Nikolay Fetisov <naf@altlinux.ru>

Source0: %real_name-%version.tar.gz
Source1: %name.desktop
# Missed file from 0.2.2 tar
Source2: index.html

AutoReqProv: yes
BuildPreReq: libqt4-devel gcc-c++ fontconfig libqt4-network 
BuildPreReq: libqt4-sql libXtst-devel linux-libc-headers qt4-settings


%description
KeePassX  is  a cross platform port  of the windows  application
"Keepass Password Safe". It is an OpenSource password safe which
helps you to manage your passwords in an easy and secure way. It
uses a highly encrypted database locked with one master key.

KeePassX saves many different information: user names, passwords,
urls, comments and file attachements in one single database.  The
entries could be  sorted in groups, with user-defined  titles and
icons specified for each entry or group. Also KeePassX  offers an 
utility for secure password generation.

The complete database is always encrypted either with AES  (alias
Rijndael) or  Twofish  encryption algorithm using  a 256 bit key.
The database format  of KeePassX  is compatible with the one used
in KeePass Password Safe.

%description -l ru_RU.UTF-8
KeePassX  -  кроссплатформенный порт  программы "Keepass Password
Safe" для Windows, менеджер паролей с открытым исходным кодом. Он
упрощает  управление  различными паролями,  сохраняя их в единой,
защищаемой одним мастер-ключом, базе данных.

KeePassX может сохранять в записях  различную информацию, включая
имена пользователей, пароли, URL, файловые вложения и комментарии.
Записи можно  организовать в группы,  с задаваемыми пользователем
именами и пиктограммами для каждой группы или записи.  В KeePassX
также входит утилита для создания надёжных паролей.

База  с паролями всегда  хранится защищённой с использованием 
алгоритмов AES (Rijndael) или Twofish с длиной ключа 256 бит. 
Формат базы данных совместим с используемым KeePass Password Safe.


%prep
%setup  -n %name-%version
%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING

%build
%_qt4dir/bin/qmake PREFIX=%buildroot%{prefix}
%make

%install
%__subst 's@AppDir+"/../share/keepass/license.html"@"%_datadir/keepass/license.html"@g' src/dialogs/AboutDlg.cpp
%__subst 's@AppDir+"/../share/doc/keepass/index.html"@"%_datadir/keepass/doc/index.html"@g' src/mainwindow.cpp
%makeinstall
%__mkdir -p -- %buildroot%_datadir/keepass/doc
#%%__install -m 0644 share/doc/keepass/* %%buildroot%%_datadir/keepass/doc/
# index.html is missed from 0.2.2 tar
%__install -m 0644 %SOURCE2 %buildroot%_datadir/keepass/doc/

%__mkdir -p %buildroot%_pixmapsdir/
%__install -m 0644 share/keepass/icons/%name.png %buildroot%_pixmapsdir/%name.png

%__mkdir -p %buildroot%_desktopdir
%__install -m 0644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%__mv %buildroot%_bindir/keepass %buildroot%_bindir/%name

%files
%doc changelog
%doc --no-dereference COPYING

%_bindir/%name
%_datadir/keepass*

%_desktopdir/%name.desktop
%_pixmapsdir/%name.png

%changelog
* Mon Jul 10 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.2-alt2
- Fix location of qmake

* Sun Jul 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.2-alt1
- First build for ALT Linux Sisyphus

* Tue Jun 13 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt0.3
- Fix help file locations

* Tue Jun 13 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt0.2
- Fix desktop file and icon locations

* Sun Jun 11 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt0.1
- Adding desktop file and icon

* Wed Jun 07 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.2.1-alt0
- Initial build

